<?php

//カスタムヘッダー
$args = array(
	'height'                 => 230,
	'width'                  => 1600,
    'flex-height' => true,
	'default-image'          => '%s/images/headers/circle.png',
);
add_theme_support( 'custom-header', $args );

//RSS
add_theme_support('automatic-feed-links');

//アイキャッチ
add_theme_support('post-thumbnails');
set_post_thumbnail_size(160, 120, true);

//ウィジェット
function aw_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Main Widget Area', 'twentythirteen' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Appears in the footer section of the site.', 'twentythirteen' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Secondary Widget Area', 'twentythirteen' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Appears on posts and pages in the sidebar.', 'twentythirteen' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'aw_widgets_init' );


//////////////////////////////////////////////////////////
//ニュースカスタム投稿
function custom_post_type_news() {
	$labels = array(
		'name' => _x('ニュース記事','post type general name'),
		'singular_name' => _x('ニュース記事', 'post type singular name'),
		'add_new' => _x('新規ニュース記事', 'book'),
		'add_new_item' => __('新しいニュース記事を追加'),
		'edit_item' => __('ニュース記事を編集'),
		'new_item' => __('新しいニュース記事'),
		'view_item' => __('ニュース記事を編集'),
		'search_items' => __('ニュース記事を探す'),
		'not_found' =>  __('ニュース記事ありません'),
		'not_found_in_trash' => __('ゴミ箱にニュース記事はありません'),
		'parent_item_colon' => ''
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'show_ui' => true,
		'query_var' => true,
		'hierarchical' => false,
		'menu_position' => 2,
		'supports' => array('title','editor'),
	);
	
	//カスタム投稿タイプを登録
	register_post_type('top_news', $args);
	
	// カスタムタクソノミーを作成
	//カテゴリータイプ
	$args = array(
	'label' => 'カテゴリー',
	'public' => true,
	'show_ui' => true,
	'hierarchical' => true
	);
	register_taxonomy('news_category','top_news',$args);
	//タグタイプ
	$args = array(
	'label' => 'タグ',
	'public' => true,
	'show_ui' => true,
	'hierarchical' => false
	);
	register_taxonomy('news_tag','top_news',$args);

	
}

//アクションをフック function custom_post_type_news() を呼び出す
add_action('init', 'custom_post_type_news');

//管理画面記事一覧にカスタムタクソノミーの表示追加
function manage_posts_columns($columns) {
        $columns['fcategory1'] = "カテゴリー";
        $columns['fcategory2'] = "タグ";
        return $columns;
}
function add_column($column_name, $post_id){
    //カテゴリー名取得
    if( 'fcategory1' == $column_name ) {
        $fcategory = get_the_term_list($post_id, 'news_category');
    }
    if( 'fcategory2' == $column_name ) {
        $fcategory = get_the_term_list($post_id, 'news_tag');
    }
    //該当カテゴリーがない場合「なし」を表示
    if ( isset($fcategory) && $fcategory ) {
        echo $fcategory;
    } else {
        echo __('None');
    }
}
add_filter('manage_edit-top_news_columns', 'manage_posts_columns');
add_action('manage_posts_custom_column',  'add_column', 10, 2);

//////////////////////////////////////////////////////////
//リストカスタム投稿
function custom_post_type_list_01() {
	$labels = array(
		'name' => _x('リスト記事','post type general name'),
		'singular_name' => _x('リスト記事', 'post type singular name'),
		'add_new' => _x('新規リスト記事', 'book'),
		'add_new_item' => __('新しいリスト記事を追加'),
		'edit_item' => __('リスト記事を編集'),
		'new_item' => __('新しいリスト記事'),
		'view_item' => __('リスト記事を編集'),
		'search_items' => __('リスト記事を探す'),
		'not_found' =>  __('リスト記事ありません'),
		'not_found_in_trash' => __('ゴミ箱にリスト記事はありません'),
		'parent_item_colon' => ''
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'show_ui' => true,
		'query_var' => true,
		'hierarchical' => false,
		'menu_position' => 2,
		'supports' => array('title','editor','thumbnail','page-attributes'),
	);

	//カスタム投稿タイプを登録
	register_post_type('list_01', $args);
	
	// カスタムタクソノミーを作成
	//カテゴリータイプ
	$args = array(
	'label' => 'カテゴリー',
	'public' => true,
	'show_ui' => true,
	'hierarchical' => true
	);
	register_taxonomy('list_01_category','list_01',$args);
	//タグタイプ
	$args = array(
	'label' => 'タグ',
	'public' => true,
	'show_ui' => true,
	'hierarchical' => false
	);
	register_taxonomy('list_01_tag','list_01',$args);
	
	
}
//アクションをフック
add_action('init', 'custom_post_type_list_01');

//管理画面記事一覧にカスタムタクソノミーの表示追加
function manage_posts_columnslist_01($columns) {
        $columns['fcategory1'] = "カテゴリー";
        $columns['fcategory2'] = "タグ";
        return $columns;
}
function add_columnlist_01($column_name, $post_id){
    //カテゴリー名取得
    if( 'fcategory1' == $column_name ) {
        $fcategory = get_the_term_list($post_id, 'list_01_category');
    }
    if( 'fcategory2' == $column_name ) {
        $fcategory = get_the_term_list($post_id, 'list_01_tag');
    }
    //該当カテゴリーがない場合「なし」を表示
    if ( isset($fcategory) && $fcategory ) {
        echo $fcategory;
    } else {
        echo __('None');
    }
}
add_filter('manage_edit-list_01_columns', 'manage_posts_columnslist_01');
add_action('manage_posts_custom_column',  'add_columnlist_01', 10, 2);


//件数
function my_result_count() {
  global $wp_query;

  $paged = get_query_var( 'paged' ) - 1;
  $ppp   = get_query_var( 'posts_per_page' );
  $count = $total = $wp_query->post_count;
  $from  = 0;
  if ( 0 < $ppp ) {
    $total = $wp_query->found_posts;
    if ( 0 < $paged )
      $from  = $paged * $ppp;
  }
  printf(
    '<p>全%1$s件中 %2$s%3$s件目を表示</p>',
    $total,
    ( 1 < $count ? ($from + 1 . '〜') : '' ),
    ($from + $count )
  );
}

//ページ遷移
function paginav($pages = ''){
	$post_view_max = 10; //表示件数
	global $paged;
    if(empty($paged)) $paged = 1;
	
	echo '<div id="pagenav">'."\n";
    echo '<span> '.$paged.'／'.$pages.'ページ  </span>';
    //if($paged > 2 && $paged > $range+1 && $post_view_max < $pages){
	if($paged > 2){
		echo '<a href="'.get_pagenum_link(1).'" class="pagenav-bt">&laquo;</a>';
	}
	else{
		echo '<span class="pagenav-bt">&laquo;</span>';
	}
	//if($paged > 1 && $post_view_max < $pages){
	if($paged > 1){
		echo '<a href="'.get_pagenum_link($paged - 1).'" class="pagenav-bt">&lsaquo;</a>';
	}
	else{
		echo '<span class="pagenav-bt">&lsaquo;</span>';
	}
	echo ' 前へ';
    for ($i=1; $i <= $pages; $i++){
    	if (!($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $post_view_max ){
			echo ($paged == $i)? '
			<span class="pagenav-bt">'.$i.'</span>':'<a href="'.get_pagenum_link($i).'" class="pagenav-bta">'.$i.'</a>';
    	}
    }
 	echo ' 次へ';
   // if ($paged < $pages && $post_view_max < $pages){
    if ($paged < $pages){
		echo '<a href="'.get_pagenum_link($paged + 1).'" class="pagenav-bt">&rsaquo;</a>';
	}
	else{
		echo '<span class="pagenav-bt">&rsaquo;</span>';
	}
	
    //if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $post_view_max < $pages){
	if ($paged < $pages-1 ){
		echo '<a href="'.get_pagenum_link($pages).'" class="pagenav-bt">&rsaquo;</a>';
	}
	else{
		echo '<span class="pagenav-bt">&raquo;</span>';
	}
    echo "</div>\n";

}
//カスタムメニュー
add_action( 'init', 'my_custom_menus' );

function my_custom_menus() {
register_nav_menus( array(
    'global_menu' => 'グローバルメニュー',
    'footer_menu01' => 'フッターメニュー01',
	'footer_menu02' => 'フッターメニュー02',
	'footer_menu03' => 'フッターメニュー03',
	'footer_menu04' => 'フッターメニュー04'
));
}
//リストタグを連番にする
$menu_counter = 1; 
add_filter('nav_menu_item_id','change_nav_menu_id',10,2); 
function change_nav_menu_id($current_id,$item_details){ 
global $menu_counter; return 'nav'.$menu_counter++; 
}

//search.phpを読みこむデータによって振り分ける
add_filter('template_include','custom_search_template');
function custom_search_template($template){
	if ( is_search() ) {
		//表示する投稿タイプを取得→それをsearch-★.phpの★部分に埋め込む
		$post_types = get_query_var('post_type');
		foreach ( (array) $post_types as $post_type )
			$templates[] = "search-{$post_type}.php";
		$templates[] = 'search.php';
		$template = get_query_template('search',$templates);
	}
	return $template;
}
?>